#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libass-0.15.2

- Next

  libcddb-1.3.2

- Up
- Home

# libcanberra-0.30

## Introduction to libcanberra

libcanberra is an implementation of the XDG Sound Theme and Name Specifications, for generating event sounds on free desktops, such as GNOME.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): http://0pointer.de/lennart/projects/libcanberra/libcanberra-0.30.tar.xz

- Download MD5 sum: 34cb7e4430afaf6f447c4ebdb9b42072

- Download size: 312 KB

- Estimated disk space required: 7.5 MB

- Estimated build time: 0.1 SBU

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/11.1/libcanberra-0.30-wayland-1.patch

### libcanberra Dependencies

#### Required

libvorbis-1.3.7

#### Recommended

alsa-lib-1.2.6.1, gstreamer-1.20.0 and GTK+-3.24.31

#### Optional

GTK+-2.24.33, PulseAudio-15.0 and tdb

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libcanberra

## Installation of libcanberra

At first, apply a patch to fix an issue causing some applications to crash in Wayland based desktop environment:

    patch -Np1 -i ../libcanberra-0.30-wayland-1.patch

Install libcanberra by running the following commands:

    ./configure --prefix=/usr --disable-oss &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make docdir=/usr/share/doc/libcanberra-0.30 install

## Command Explanations

`--disable-oss`: disable optional deprecated OSS support

`--disable-gtk`: disable optional GTK+ 2 support

`--disable-gtk3`: disable optional GTK+ 3 support

## Contents

Installed Programs: canberra-boot and canberra-gtk-play
Installed Libraries: libcanberra-gtk.so, libcanberra-gtk3.so and libcanberra.so
Installed Directories: /usr/lib/libcanberra-0.30, /usr/share/doc/libcanberra-0.30 and /usr/share/gtk-doc/html/libcanberra

### Short Descriptions

canberra-gtk-play | is an application used for playing sound events
`libcanberra-gtk.so` | contains the libcanberra bindings for GTK+ 2
`libcanberra-gtk3.so` | contains the libcanberra bindings for GTK+ 3
`libcanberra.so` | contains the libcanberra API functions

Last updated on

- Prev

  libass-0.15.2

- Next

  libcddb-1.3.2

- Up
- Home